
var faq= [
    {id:0
     ,question:
i18n.tr("Summary")  
     ,answer:"\n"
+ i18n.tr("This app is a simple configurable app browser where you can manage and navigate in your favourite websites. There are several versions of app browsers: My Web Apps,  My News Apps, Google Apps etc. My Web Apps is a generic app browsers while the others are intended to aggregate specific app categories or topics.") + "\n"
+ i18n.tr("You can add websites on your app by downloading website configurations from Website Repository and/or writing a new website configurations yourself. Website configurations can be shared by uploading them to the Repository.") + "\n"
    }
    ,{id:1
     ,question:
i18n.tr("Website Repository")  
     ,answer:"\n"
+ i18n.tr("On Repository page websites are grouped by app category and Internet top-level domain or language. Best effort is used to move non English websites of generic top-level domains (com, org, net, eu, ...) to language categories. Websites can be filtered by using the top-level domain / language filter. Top-level domain filter can be configured on App Settings page.")+"\n"
+ i18n.tr("At the right end of the website row there are two small icon indicators. The colored icon is the website safety indicator. Click to the icon to verify website using urlcheck.info service. The color of the icon indicates from how many black lists the website has been found: 0 -green, 1 -yellow, >1 -red and unknown -grey. The starred / non-starred icon indicates the website mobile friendliness / unfriendlines as reported by https://www.google.com/webmasters/tools/mobile-friendly/")+"\n"
    }
    ,{id:2
     ,question:
i18n.tr("Download a website")  
     ,answer:"\n"
+ i18n.tr("Open the Repository page. Select the website category from pull down menu and navigate to the desired websites by clicking Internet domain or language row. Finally swipe to the left a website row and click safe icon to add a website to your app or click a view icon to preview the website on browser.")+"\n"
    }
    ,{id:3
     ,question:
i18n.tr("Insert a new website")  
     ,answer:"\n"
+ i18n.tr("Open \"Add Website\" page.")+"\n"
+ i18n.tr("Write website title and its URL on appropriate fields and click the \"Insert\" button. Test a new configuration and make eventual modifications.")+"\n"
    }
    ,{id:4
     ,question:
i18n.tr("Modify a website")  
     ,answer:"\n"
+ i18n.tr("Open \"Edit Website\" page: Setup -> click the details of the website you would like to modify.")+"\n"
+ i18n.tr("Modify the website configuration fields: title, URL and/or URL pattern and click \"Update\" button.")+"\n"

// TRANSLATORS:+ i18n.tr("Note, that every website can have only one URL pattern. The app is using \"super pattern\" schema where the patterns like")
// TRANSLATORS:+ "\n\n    https?://*.yle.fi/*\n\n"
// TRANSLATORS:+ i18n.tr("are translated as")
// TRANSLATORS:+ "\n\n    https?://yle.fi/*, https?://*.yle.fi/*\n\n"
// TRANSLATORS:+ i18n.tr("More details about URL patterns, see")
// TRANSLATORS:+ " https://developer.ubuntu.com/en/web/ubuntu-webapps-guide/\n"

+ i18n.tr("Note, that every website can have only one URL pattern. The app is using \"super pattern\" schema where the patterns like")
+ "\n\n    https?://*.yle.fi/*\n\n"
+ i18n.tr("are translated as")
+ "\n\n    https?://yle.fi/*, https?://*.yle.fi/*\n\n"
+ i18n.tr("More details about URL patterns, see")
+ " https://developer.ubuntu.com/en/web/ubuntu-webapps-guide/\n"
   }
    ,{id:5
     ,question:
i18n.tr("Arrange websites")  
     ,answer:"\n"
+ i18n.tr("Open Setup page.") +"\n"
+ i18n.tr("Press and hold over a website row and a websites arrange view will be opened. Arrange the websites by dragging and dropping the rows.") +"\n"
   }
    ,{id:6
     ,question:
i18n.tr("Delete a website")  
     ,answer:"\n"
+ i18n.tr("Open Setup page.") +"\n"
+ i18n.tr("Swipe to the right a website row you would like to delete and click appearing wastebasket to confirm delete action.") +"\n"
   }
   ,{id:7
    ,question:
i18n.tr("Upload a website")  
     ,answer:"\n"
+ i18n.tr("Open \"Edit Website\" page: Setup -> click the details of the website you would like to Upload.")+"\n"
+ i18n.tr("Choose website category from drop down menu and click \"Upload\" button.")+"\n"
+ i18n.tr("Note that the uploaded website URL is not modifiable using the app. Test your configuration well before uploading it!")+"\n"
   }
   ,{id:8
    ,question:
i18n.tr("Home pages and bookmarks")  
     ,answer:"\n"
+ i18n.tr("You can customize app home page that will be opened when you click app row in website menu.")+"\n"
+ i18n.tr("In addition to home page configuration you can bookmark individual pages. The bookmarked pages are added to the website menu below the app row and they are prefixed by \">>>\" -string")+"\n"
+ i18n.tr("Note: In home page and bookmark configuration the app is identified by using URL patterns. If several URL patterns match with the home page/bookmark a wrong app association can be created. Special attention need to be paid when configuring URL patterns!")+"\n"
   }
   ,{id:9
    ,question:
i18n.tr("Secondary URL patterns")  
     ,answer:"\n"
+ i18n.tr("Secondary URL patterns are used in order to be possible to set accurate app URL pattern. Normally there will be no need to use secondary URL patterns. Secondary URL patterns cannot be uploaded directly. If your website need secondary URL patterns you can email them to the developer so they will be included also to the website's Repository configuration.")+"\n\n"
// TRANSLATORS:+ i18n.tr("Example: If we set a secondary patterns as")+"\n"
// TRANSLATORS:+ "\n    https://login.ubuntu.com/* \n\n"
// TRANSLATORS:+ i18n.tr("then for the website https://myapps.developer.ubuntu.com/ we can use more precise app URL pattern:")+"\n"
// TRANSLATORS:+ "\n    https://myapps.developer.ubuntu.com/* \n\n"
// TRANSLATORS:+ i18n.tr("instead of")+"\n"
// TRANSLATORS:+ "\n    https://*.ubuntu.com/* \n"
+ i18n.tr("Example: If we set a secondary patterns as")+"\n"
+ "\n    https://login.ubuntu.com/* \n\n"
+ i18n.tr("then for the website https://myapps.developer.ubuntu.com/ we can use more precise app URL pattern:")+"\n"
+ "\n    https://myapps.developer.ubuntu.com/* \n\n"
+ i18n.tr("instead of")+"\n"
+ "\n    https://*.ubuntu.com/* \n"
   }
    ,{id:10
     ,question:
i18n.tr("Control buttons of the main view")  
     ,answer:"\n"
+ i18n.tr("Control buttons have been placed on the bottom of the main view.")+"\n"
+ i18n.tr("1) Radial control button:")+"\n"
+ i18n.tr("Slide over a half circle button and radial control buttons will be displayed: home page, add and download website, settings and set home / bookmark page buttons.")+"\n"
+ i18n.tr("Set your app/website home page: navigate to your page of choice and click radial button \"bookmark\".")+"\n"
+ i18n.tr("2) Website menu button:")+"\n"
+ i18n.tr("Click the half circle radial control button and the website menu will be displayed.")+"\n"
+ i18n.tr("3) Navigation buttons:")+"\n"
+ i18n.tr("Navigation buttons back/next can be enabled/disabled from App Settings page. Back button is placed in the lower left corner and next button in the lower right corner")+"\n"
    }
]                  

function loadAll(){
    console.log("faq.loadAll "+faq.length)
    return faq
}
function load(id){
    return faq[id]
}

